package com.ruoyi.pay.service;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.pay.domain.PaySalaryReport;
import com.ruoyi.pay.domain.PayWorkOrderBaohuo;
import com.ruoyi.pay.domain.vo.ExportBaohuoVo;
import com.ruoyi.pay.domain.vo.PayWorkOrderBaohuoVo;
import com.ruoyi.pay.domain.bo.PayWorkOrderBaohuoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.Date;
import java.util.HashSet;
import java.util.List;

/**
 * 包活派工单Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayWorkOrderBaohuoService {

    /**
     * 查询包活派工单
     */
    PayWorkOrderBaohuoBo queryById(Long id);

    /**
     * 查询包活派工单列表
     */
    TableDataInfo<PayWorkOrderBaohuoVo> queryPageList(PayWorkOrderBaohuoBo bo, PageQuery pageQuery);

    /**
     * 查询包活派工单列表
     */
    List<PayWorkOrderBaohuoVo> queryList(PayWorkOrderBaohuoBo bo);

    /**
     * 新增包活派工单
     */
    Boolean insertByBo(PayWorkOrderBaohuoBo bo);

    /**
     * 修改包活派工单
     */
    Boolean updateByBo(PayWorkOrderBaohuoBo bo);

    /**
     * 校验并批量删除包活派工单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    R<List<PaySalaryReport>> baohuoSum(String date, Long deptId,Long tenantId);

    List<ExportBaohuoVo> getWorkOrderListByDate(Long tenantId, Date exportDate);

    HashSet<Long> getWoIdSet(String workDate, Long empId);
}
